RDKit: RDKit::FilterMatch Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::FilterMatch Struct Reference

Holds the atomPairs matched by the underlying matcher. More...

`#include <FilterMatcherBase.h>`

## Public Member Functions
| FilterMatch ()
| FilterMatch (boost::shared_ptr< FilterMatcherBase > filter, MatchVectType atomPairs)
bool | operator== (const FilterMatch &rhs) const
bool | operator!= (const FilterMatch &rhs) const

## Public Attributes
boost::shared_ptr< FilterMatcherBase > | filterMatch
MatchVectType | atomPairs

## Detailed Description

Holds the atomPairs matched by the underlying matcher.

Definition at line 54 of file FilterMatcherBase.h.

## Constructor & Destructor Documentation

## ◆ FilterMatch() [1/2]

RDKit::FilterMatch::FilterMatch | ( |  | ) |
| inline

Definition at line 58 of file FilterMatcherBase.h.

References atomPairs, and filterMatch.

Referenced by operator!=(), and operator==().

## ◆ FilterMatch() [2/2]

RDKit::FilterMatch::FilterMatch | ( | boost::shared_ptr< FilterMatcherBase > | filter,
|  | MatchVectType | atomPairs )
| inline

Definition at line 59 of file FilterMatcherBase.h.

References atomPairs, and filterMatch.

## Member Function Documentation

## ◆ operator!=()

bool RDKit::FilterMatch::operator!= | ( | const FilterMatch & | rhs | ) | const
| inline

Definition at line 68 of file FilterMatcherBase.h.

References atomPairs, FilterMatch(), and filterMatch.

## ◆ operator==()

bool RDKit::FilterMatch::operator== | ( | const FilterMatch & | rhs | ) | const
| inline

Definition at line 63 of file FilterMatcherBase.h.

References atomPairs, FilterMatch(), and filterMatch.

## Member Data Documentation

## ◆ atomPairs

MatchVectType RDKit::FilterMatch::atomPairs

Definition at line 56 of file FilterMatcherBase.h.

Referenced by FilterMatch(), FilterMatch(), operator!=(), and operator==().

## ◆ filterMatch

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatch::filterMatch

Definition at line 55 of file FilterMatcherBase.h.

Referenced by FilterMatch(), FilterMatch(), operator!=(), and operator==().

The documentation for this struct was generated from the following file:

- FilterMatcherBase.h